Subject: Re: bug#11867: 24.1.50; Windows bootstrap crash (converting tit files?)

From: Juanma Barranquero <[email-masked]>
Date: Tue, 10 Jul 2012 18:36:48 +0200

On Tue, Jul 10, 2012 at 6:11 PM, Eli Zaretskii <[email-masked]> wrote:

> And if you just type "continue", does anything useful happen?

If I type "continue", Emacs continues, but does nothing until I click
on canceling the program. Then ends. I suppose I could try continue
and then Ctrl-C to interrupt...

> Also, do you see anything in the Event Viewer (under Application logs)
> at that time?

Yes, though it's not very useful.

- <Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
- <System>
  <Provider Name="Application Error" />
  <EventID Qualifiers="0">1000</EventID>
  <Level>2</Level>
  <Task>100</Task>
  <Keywords>0x80000000000000</Keywords>
  <TimeCreated SystemTime="2012-07-09T03:48:40.000000000Z" />
  <EventRecordID>73848</EventRecordID>
  <Channel>Application</Channel>
  <Computer>ODIEONE</Computer>
  <Security />
  </System>
- <EventData>
  <Data>emacs.exe</Data>
  <Data>24.1.50.0</Data>
  <Data>4ffa51bc</Data>
  <Data>emacs.exe</Data>
  <Data>24.1.50.0</Data>
  <Data>4ffa51bc</Data>
  <Data>c0000005</Data>
  <Data>002dcb87</Data>
  <Data>d14</Data>
  <Data>01cd5d85b9062960</Data>
  <Data>C:\emacs\debug\src\oo\i386\emacs.exe</Data>
  <Data>C:\emacs\debug\src\oo\i386\emacs.exe</Data>
  <Data>f8308fe0-c978-11e1-8348-002618b305ae</Data>
  </EventData>
  </Event>

> Another idea is to install DrMinGW as the JIT debugger.

I've now done that.

> Or just run
> Emacs under GDB to begin with

If you can give the comand line to run the bootstrapping Emacs under
GDB, I can test it.

    Juanma